commit:     96b8ce134eec002af03c0db23117f769e87d102f
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  9 12:11:16 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Nov  9 12:28:43 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96b8ce13

dev-python/nagiosplugin: bump to 1.3.1, add doc

Also run tests with pytest to match what upstream does.

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/nagiosplugin/Manifest                  |  1 +
 dev-python/nagiosplugin/nagiosplugin-1.3.1.ebuild | 40 +++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/nagiosplugin/Manifest b/dev-python/nagiosplugin/Manifest
index 8169038377c..34bb82afda9 100644
--- a/dev-python/nagiosplugin/Manifest
+++ b/dev-python/nagiosplugin/Manifest
@@ -1 +1,2 @@
 DIST nagiosplugin-1.2.4.tar.gz 38290 BLAKE2B 
4ebf230122a68919f82da7519e920b485075530cbde235d9f0d7a0f22e65a37c85f3ffe84af100f94ba8cee0a8e350b848d2e35606616808baada75c5abfddd2
 SHA512 
42c7823445c0dc1f5fedc6b8bed6c5be4e2b5e4c14cfa2cfbd158ae43485baa0fc74b80f9dcbb89bfdb27b984d72201c8a7c330c71d837c0f822603a5f8f7ae3
+DIST nagiosplugin-1.3.1.tar.gz 94568 BLAKE2B 
b73b4790a9d0eccb47b12f45c0ee2b131d1e1874c299b7717023b40d5d0f5c1dbbac8e3736280917fba5595fa882bbc7eb461158c909345c84117757d39a3ebb
 SHA512 
f809258d972650be13667f4bb03db711686d38de1b4fa6da7dc55b576fa0a9f5a9a47fdccec0bb94ddfd258fe64ec30cd30e054f13f5b811eb24a6e9b0c85917

diff --git a/dev-python/nagiosplugin/nagiosplugin-1.3.1.ebuild 
b/dev-python/nagiosplugin/nagiosplugin-1.3.1.ebuild
new file mode 100644
index 00000000000..1d7e25b1637
--- /dev/null
+++ b/dev-python/nagiosplugin/nagiosplugin-1.3.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy{,3} python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="A class library for writing nagios-compatible plugins"
+HOMEPAGE="https://github.com/mpounsett/nagiosplugin 
https://nagiosplugin.readthedocs.io";
+# PyPI tarball lacks doc and tests
+# https://github.com/mpounsett/nagiosplugin/pull/22
+SRC_URI="https://github.com/mpounsett/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+LICENSE="ZPL"
+SLOT="0"
+
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+       )
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+
+python_compile_all() {
+       if use doc; then
+               sphinx-build doc doc/_build/html || die
+               HTML_DOCS=( doc/_build/html/. )
+       fi
+}
+
+python_test() {
+       pytest -vv tests || die "tests failed with ${EPYTHON}"
+}

Reply via email to